Facebook post comments API
Comments on a post or reel: text, time, reply and reaction counts, author and attachments.
GET /v1/facebook/post/comments
GET /v1/facebook/post/comments
Comments on a post or reel: text, time, reply and reaction counts, author and attachments.
- Cost: 1 credit
- Cache: Results are kept up to 30 days; send
max_age_daysto reuse them for free. - Timeout: A request still running after about 25 seconds answers
202with a job to poll (Batch and jobs).
Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
url | URL | one of | Post, video or reel URL. Accepted hosts: facebook.com, fb.com, fb.watch. |
feedback_id | string | one of | The post's feedback id (from post); using it instead of url makes the request much faster. |
Send at least one of feedback_id, url. If you send several, the first listed is used and the rest are ignored.
Every request also accepts:
cursor: the cursor from the previous page (Pagination).trim:truefor a smaller response withoutnullfields andextra.raw:trueto also get the platform's original object asraw.max_age_days: accept a cached result up to this many days old, for 0 credits (Caching).
Example request#
Set your key in the environment first (see Authentication).
1curl -G "https://api.socialscrape.dev/v1/facebook/post/comments" \2 -H "x-api-key: $SOCIALSCRAPE_API_KEY" \3 --data-urlencode "url=https://www.facebook.com/reel/2166091230582141/"1import os2import requests34params = {5 "url": "https://www.facebook.com/reel/2166091230582141/",6}7res = requests.get(8 "https://api.socialscrape.dev/v1/facebook/post/comments",9 headers={"x-api-key": os.environ["SOCIALSCRAPE_API_KEY"]},10 params=params,11)12body = res.json()1314if body["ok"]:15 print(body["data"])16else:17 print(body["error"]["code"], body["error"]["message"])1const url = new URL("https://api.socialscrape.dev/v1/facebook/post/comments");2url.search = new URLSearchParams({3 "url": "https://www.facebook.com/reel/2166091230582141/"4}).toString();5const res = await fetch(url, {6 headers: { "x-api-key": process.env.SOCIALSCRAPE_API_KEY! },7});8const body = await res.json();910if (body.ok) {11 console.log(body.data);12} else {13 console.error(body.error.code, body.error.message);14}1{2 "nodes": [3 {4 "name": "SocialScrape Facebook post comments",5 "type": "n8n-nodes-base.httpRequest",6 "typeVersion": 4.2,7 "position": [8 0,9 010 ],11 "parameters": {12 "method": "GET",13 "url": "https://api.socialscrape.dev/v1/facebook/post/comments",14 "sendQuery": true,15 "queryParameters": {16 "parameters": [17 {18 "name": "url",19 "value": "https://www.facebook.com/reel/2166091230582141/"20 }21 ]22 },23 "sendHeaders": true,24 "headerParameters": {25 "parameters": [26 {27 "name": "x-api-key",28 "value": "={{ $env.SOCIALSCRAPE_API_KEY }}"29 }30 ]31 }32 }33 }34 ],35 "connections": {}36}Example response#
This is a sample from a recorded response, lists and long text are shortened, other people's names and handles are replaced. Status 200.
1{2 "ok": true,3 "credits_charged": 1,4 "credits_remaining": 4999,5 "cached": false,6 "cached_at": null,7 "request_id": "req_8cdd56707ccee1aa167be3c6",8 "data": {9 "object": "list",10 "items": [11 {12 "object": "comment",13 "platform": "facebook",14 "id": "2082653245809386",15 "url": "https://www.facebook.com/reel/2166091230582141/?comment_id=2082653245809386",16 "post_id": "1393461115481927",17 "parent_id": null,18 "author": {19 "id": "1000000001",20 "handle": "sample_user",21 "name": "Sample User",22 "url": null,23 "avatar_url": null,24 "verified": false25 },26 "text": "The small breath she took beforehand got my anxiety up",27 "published_at": "2025-11-08T02:07:24Z",28 "stats": {29 "likes": 47,30 "replies": 2,31 "dislikes": null32 },33 "is_pinned": null,34 "is_by_creator": null,35 "extra": {36 "depth": 0,37 "expansion_token": "MjoxNzkzMzE5ODQyOgF_vNwrYh3poM_aW0yz3FbexVQq9RbJvBq3D-jLGU0tsmKoHCDTrx8-W5hrvScxuNn3KgsLpSzwA9tGD_zjTfI3mHW1BP-Wg7TOl6dIDdMo4t7FIm76uwxxq345r8gFOGNy89pghyvuIKdO1iN6lDfQcQZux1xnunMeXVe_fPIfp3lTBGrpsuQ8h_xcAkHfGAi7h8ib-xeTKK3j810ZXVeUHskJu_vf...",38 "feedback_id": "ZmVlZGJhY2s6cGZiaWQwalpKVVNBWDJoeVExQXFQbldnUVFxZVh3Y1Q2OVRQTUZnSnhCcHczd3lZeXc2WDRoZkIxcTV1N2VvQThnQkszOU1OMnBuakVkMWhoNWtZYUdVbTVqUmpmTFhjS05pQ1B1YUJs",39 "graphql_id": "Y29tbWVudDoxMzkzNDYxMTE1NDgxOTI3XzIwODI2NTMyNDU4MDkzODY="40 }41 },42 {43 "object": "comment",44 "platform": "facebook",45 "id": "1330988758174347",46 "url": "https://www.facebook.com/reel/2166091230582141/?comment_id=1330988758174347",47 "post_id": "1393461115481927",48 "parent_id": null,49 "author": {50 "id": "1000000001",51 "handle": "sample_user",52 "name": "Sample User",53 "url": null,54 "avatar_url": null,55 "verified": false56 },57 "text": "It's November, where are the Basketball post , we wear Nike's too. ALSO WHY DOESN'T Jalen Brunson have a signature shoe... ????",58 "published_at": "2025-11-03T02:13:02Z",59 "stats": {60 "likes": 22,61 "replies": 4,62 "dislikes": null63 },64 "is_pinned": null,65 "is_by_creator": null,66 "extra": {67 "depth": 0,68 "expansion_token": "MjoxNzkzMzE5ODQyOgF__NFdQvnKXCBhSB5NYSCC-IXlj5X4c-cBK1prRd2lfpgfPZRZpWoG6zHU_LmyKzv_JpUJY4JLfEHkx_I6yjQyexVOV6OF69F5giPyvVOhK4CpFIb7zrY-H-q_MTBfV7oWW3RpXoNZfrsOjYBLzNuSj_TplWlIinE6Q7N7pQe6yhCwUTBVWDinwUBwD0R6QFFOpLod42jpjJJdavwrxSY7yhPfLC2k...",69 "feedback_id": "ZmVlZGJhY2s6cGZiaWQwM0d1aExzUVBTZEJFMVRtRzduZ1NiM3Z6S0M2QnFwUDd4Z01GZjFXdjRZVDd1VENISHhMYnJuZFVNOWs4UFVOSmV5dlRaODdzcldHcVhCcVNTclJVbUtXZzVUU01IWmFzYjJ3bA==",70 "graphql_id": "Y29tbWVudDoxMzkzNDYxMTE1NDgxOTI3XzEzMzA5ODg3NTgxNzQzNDc="71 }72 }73 ],74 "cursor": "eyJrIjoiY29tbWVudHMiLCJmaWQiOiJabVZsWkdKaFkyczZNVE01TXpRMk1URXhOVFE0TVRreU53PT0iLCJhZnRlciI6Ik1Ub3hOemt6TXpFNU9EWTBPZ0ZfUGJMVVcxdUJJRzRkNzJhUnFlZ08xbnFQTVZJbEpSY0pwdTkwWkJIajNjUWxnSWpPSVpjSm1RWmNtbjZLbEtVNS1adWpYWGkxRWpLcjF5ZnNaa2UxWUhRcW8z...",75 "has_more": true,76 "parent": null77 },78 "cursor": "eyJrIjoiY29tbWVudHMiLCJmaWQiOiJabVZsWkdKaFkyczZNVE01TXpRMk1URXhOVFE0TVRreU53PT0iLCJhZnRlciI6Ik1Ub3hOemt6TXpFNU9EWTBPZ0ZfUGJMVVcxdUJJRzRkNzJhUnFlZ08xbnFQTVZJbEpSY0pwdTkwWkJIajNjUWxnSWpPSVpjSm1RWmNtbjZLbEtVNS1adWpYWGkxRWpLcjF5ZnNaa2UxWUhRcW8z...",79 "has_more": true80}Response#
A list of Comment objects in data.items, with data.cursor and data.has_more.
See Data models for every field. The envelope around data is described in Responses.
Errors#
Failures are free: credits_charged is 0. Branch on error.code, never on the message.
| Code | HTTP | Retry | Meaning |
|---|---|---|---|
invalid_params | 400 | no | A parameter is missing, unknown or has the wrong type. |
unsupported_url | 400 | no | The URL is not one this endpoint accepts (wrong platform or form). |
not_found | 404 | no | The platform says this profile, post or item does not exist. |
Every request can also fail with the account and platform errors listed on the Errors page.
Related endpoints#
- Facebook Ad Library search (
GET /v1/facebook/ad-library/search) - Facebook Ad Library search (POST body) (
POST /v1/facebook/ad-library/search) - Facebook Ad Library ads by page (
GET /v1/facebook/ad-library/company/ads) - Facebook Ad Library ads by page (POST body) (
POST /v1/facebook/ad-library/company/ads) - Facebook Ad Library ad details (
GET /v1/facebook/ad-library/ad) - Facebook Ad Library ad transcript (
GET /v1/facebook/ad-library/ad/transcript) - Facebook Ad Library advertiser search (
GET /v1/facebook/ad-library/search/companies) - Facebook profile or page (
GET /v1/facebook/profile)